elm_code_parse.h File Reference

These routines are used for handling the parsing of Elm Code content. More...

## Typedefs

typedef struct _Elm_Code_Parser | Elm_Code_Parser

## Functions

void | elm_code_parser_add (Elm_Code *code, void(*parse_line)(Elm_Code_Line *, void *), void(*parse_file)(Elm_Code_File *, void *), void *data)
void | elm_code_parser_standard_add (Elm_Code *code, Elm_Code_Parser *parser)

## Variables

Elm_Code_Parser * | ELM_CODE_PARSER_STANDARD_SYNTAX
| A provided parser to provide syntax highlighting.
Elm_Code_Parser * | ELM_CODE_PARSER_STANDARD_DIFF
| A provided parser that will mark up diff text.
Elm_Code_Parser * | ELM_CODE_PARSER_STANDARD_TODO
| A provided parser that will highlight TODO and FIXME lines.

## Detailed Description

These routines are used for handling the parsing of Elm Code content.